[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SaveDC

Saves the state of an Device Context in the context stack.

## Declaration

Source position: winapih.inc line 230

`public function TWidgetSet.SaveDC(`
`DC: HDC`
`):Integer; virtual;`

## Arguments

`DC` |  | The device context to save.

## Function result

The index of the saved DC, zero on failure.

## See also

TWidgetSet.RestoreDC |  | Restores an Device Context (DC) to an previously saved state.